Alt account of @Badabinski

Just a sweaty nerd interested in software, home automation, emotional issues, and polite discourse about all of the above.

  • 0 Posts
  • 13 Comments
Joined 2 years ago
cake
Cake day: June 9th, 2024

help-circle




  • If I understand it correctly, it’s just that any infringement onto the liberties of other sentient beings is not tolerable to people who take it to that degree. To harvest wool, you do have to contain the sheep and potentially put them through experiences they would not choose for themselves. I’m not a vegan so it wouldn’t really be right for me to mangle their philosophy any more than I already have, but I believe that’s the gist.






  • set -e: Exit on error. Very useful, but notoriously weird with edge cases (especially inside conditionals like if statements, while loops, and pipelines). Don’t rely on it blindly as it can create false confidence. (Pro-tip: consider set -euo pipefail for a more robust safety net, but learn its caveats first.)

    while I appreciate that the author mentions how weird this is, nobody is going to learn all the caveats correctly. Don’t use set -e. Don’t use set -e. Don’t use set -e. It’s a shit ass broken ass fucked feature that half of nobody understands well. Here’s a great wiki page explaining why it’s trash: https://mywiki.wooledge.org/BashFAQ/105

    People like Go, and Go requires you to manually and stupidly handle every possible error case. Why not do the same for shell? It’s really quite easy:

    #!/usr/bin/env bash
    echoerr() { echo "$@" 1>&2; }
    
    die() {
      message="$1"; shift
      exit_code="${1:-1}"
      echoerr "$message"
      exit "$exit_code"
    }
    
    temp_dir="$HOME/tmp"
    mkdir -p "$temp_dir" || die "Failed to make persistent temporary dir $temp_dir"
    lc_dir="$(mktemp -d -p "$temp_dir")" || die "Failed to make target dir in $temp_dir"
    

    Look at that, descriptive error messages! And it doesn’t depend on a shell feature that is inconsistent between versions with no good documentation about all of the fucked up caveats.





  • Also from the article:

    The writer Brett Forrest briefly interacted with Perelman in 2012. A reporter who had called him was told: “You are disturbing me. I am picking mushrooms.”

    I enjoy this man’s focus and determination. I feel like the world probably missed out on good things when he left academia, but I can’t blame the dude when I saw why he refused a million dollars for solving the Poincaré Conjecture. He seems like a person with very strong principles.